<?php
/**
 * Retrieves and creates the wp-config.php file.
 *
 * The permissions for the base directory must allow for writing files in order
 * for the wp-config.php to be created using this page.
 *
 * @package WordPress
 * @subpackage Administration
 */

/**
 * We are installing.
 *
 * @package WordPress
 */
define('WP_INSTALLING', true);

/**
 * Disable error reporting
 *
 * Set this to error_reporting( E_ALL ) or error_reporting( E_ALL | E_STRICT ) f
or debugging
 */
error_reporting(0);

/**#@+
 * These three defines are required to allow us to use require_wp_db() to load
 * the database class while being wp-content/db.php aware.
 * @ignore
 */
define('ABSPATH', dirname(dirname(__FILE__)).'/');
define('WPINC', 'wp-includes');
define('WP_CONTENT_DIR', ABSPATH . 'wp-content');
/**#@-*/

require_once(ABSPATH . WPINC . '/compat.php');
require_once(ABSPATH . WPINC . '/functions.php');
require_once(ABSPATH . WPINC . '/classes.php');

if (!file_exists(ABSPATH . 'wp-config-sample.php'))
	wp_die('Ngapunten, Awake dhewe mbutuhake berkas wp-config-sample.php file kanggo nyambut gawe. Monggo diunggah meneh berkas iki soko instalasi Wordpress Sampeyan.');

$configFile = file(ABSPATH . 'wp-config-sample.php');

// Check if wp-config.php has been created
if (file_exists(ABSPATH . 'wp-config.php'))
	wp_die("<p>Berkas 'wp-config.php' uwis ono. Menawa Sampeyan kepengin mbaleni nata konfigurasi neng berkas iki, monggo diilangi dhisik berkas kui. Sampeyan iso langsung nyoba <a href='install.php'>nginstall saiki</a>.</p>");

// Check if wp-config.php exists above the root directory but is not part of another install
if (file_exists(ABSPATH . '../wp-config.php') && ! file_exists(ABSPATH . '../wp-settings.php'))
	wp_die("<p>Berkas 'wp-config.php' uwis ono sak tingkat luwih dhuwur soko instalasi WordPress Sampeyan. Menawa Sampeyan kepenging mbaleni nata konfigurasi neng berkas iki, monggo diilangi dhisik berkas kui. Sampeyan iso langsung nyoba <a href='install.php'>nginstal saiki</a>.</p>");

if ( version_compare( '4.3', phpversion(), '>' ) )
	wp_die( sprintf( /*WP_I18N_OLD_PHP*/'Server Sampeyan nglakokno PHP versi %s nanging WordPress butuh paling ora 4.3.'/*/WP_I18N_OLD_PHP*/, phpversion() ) );

if ( !extension_loaded('mysql') && !file_exists(ABSPATH . 'wp-content/db.php') )
	wp_die( /*WP_I18N_OLD_MYSQL*/'Instalasi PHP Sampeyan ketoke kelangan ekstensi MySQL sing dibutuhne karo WordPress.'/*/WP_I18N_OLD_MYSQL*/ );

if (isset($_GET['step']))
	$step = $_GET['step'];
else
	$step = 0;

/**
 * Display setup wp-config.php file header.
 *
 * @ignore
 * @since 2.3.0
 * @package WordPress
 * @subpackage Installer_WP_Config
 */
function display_header() {
	header( 'Content-Type: text/html; charset=utf-8' );
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>WordPress &rsaquo; Masang Berkas Konfigurasi</title>
<link rel="stylesheet" href="css/install.css" type="text/css" />

</head>
<body>
<h1 id="logo"><img alt="WordPress" src="images/wordpress-logo.png" /></h1>
<?php
}//end function display_header();

switch($step) {
	case 0:
		display_header();
?>

<p>Sugeng Rawuh neng WordPress. Sakdurunge miwiti, awake dhewe mbutuhake sakperangan informasi sing sinambungan karo basis data. Sampeyan butuh ngerti ceceg-ceceg neng ngisor iki sakdurunge nutugke.</p>
<ol>
	<li>Jeneng Database</li>
	<li>Jeneng Panganggo Database</li>
	<li>Tembung Sandhi Database</li>
	<li>Host Database</li>
	<li>Pucukan Tabel (menawa Sampeyan kepengin nglakokne luwih soko siji WordPress nenggon Database siji thok) </li>
</ol>
<p><strong>Menawa ono salah siji ning alesan nggawe berkas otomatis iki ora iso mlaku, ojo semelang. Sing dilakokne neng proses iki namung ngisi informasi database neng berkas konfigurasi. Sampeyan iso langsung mbukak <code>wp-config-sample.php</code> nenggon salah siji ning piranti dandani teks, nglebokke Informasi Sampeyan, lan disimpen dadi <code>wp-config.php</code>. </strong></p>
<p>Biasane, ceceg-ceceg iki diparingake neng Sampeyan karo WebHosting Sampeyan. Menawa Sampeyan ora nduwe informasi iki, Sampeyan butuh takon karo WebHosting Sampeyan sakdurunge nutugke. Menawa Sampeyan wis siap&hellip;</p>

<p class="step"><a href="setup-config.php?step=1" class="button">Ayo!</a></p>
<?php
	break;

	case 1:
		display_header();
	?>
<form method="post" action="setup-config.php?step=2">
	<p>Neng ngisor iki Sampeyan kudu nglebokne informasi koneksi Database Sampeyan. Menawa Sampeyan durung ngerti babagan kui, takono WebHosting Sampeyan. </p>
	<table class="form-table">
		<tr>
			<th scope="row"><label for="dbname">Jeneng Database</label></th>
			<td><input name="dbname" id="dbname" type="text" size="25" value="wordpress" /></td>
			<td>Jeneng Database Sampeyan sing arep dienggo nglakokne WP. </td>
		</tr>
		<tr>
			<th scope="row"><label for="uname">Jeneng Panganggo</label></th>
			<td><input name="uname" id="uname" type="text" size="25" value="jenengpanganggo" /></td>
			<td>Jeneng Panganggo MySQL Sampeyan</td>
		</tr>
		<tr>
			<th scope="row"><label for="pwd">Tembung Sandi</label></th>
			<td><input name="pwd" id="pwd" type="text" size="25" value="tembungsandi" /></td>
			<td>...lan tembung sandi MySQL.</td>
		</tr>
		<tr>
			<th scope="row"><label for="dbhost">Host Database</label></th>
			<td><input name="dbhost" id="dbhost" type="text" size="25" value="localhost" /></td>
			<td>mbok menawa 99% Sampeyan ora perlu ngganti isine iki.</td>
		</tr>
		<tr>
			<th scope="row"><label for="prefix">Pucukan Tabel</label></th>
			<td><input name="prefix" id="prefix" type="text" id="prefix" value="wp_" size="25" /></td>
			<td>Menawa Sampeyan pengin nglakokne pirang-pirang instalasi WordPress nenggon database siji thok, gantinen iki.</td>
		</tr>
	</table>
	<p class="step"><input name="submit" type="submit" value="Setor" class="button" /></p>
</form>
<?php
	break;

	case 2:
	$dbname  = trim($_POST['dbname']);
	$uname   = trim($_POST['uname']);
	$passwrd = trim($_POST['pwd']);
	$dbhost  = trim($_POST['dbhost']);
	$prefix  = trim($_POST['prefix']);
	if (empty($prefix)) $prefix = 'wp_';

	// Test the db connection.
	/**#@+
	 * @ignore
	 */
	define('DB_NAME', $dbname);
	define('DB_USER', $uname);
	define('DB_PASSWORD', $passwrd);
	define('DB_HOST', $dbhost);
	/**#@-*/

	// We'll fail here if the values are no good.
	require_wp_db();
	if ( !empty($wpdb->error) )
		wp_die($wpdb->error->get_error_message());

	foreach ($configFile as $line_num => $line) {
		switch (substr($line,0,16)) {
			case "define('DB_NAME'":
				$configFile[$line_num] = str_replace("jenengdbsampeyannengkene", $dbname, $line);
				break;
			case "define('DB_USER'":
				$configFile[$line_num] = str_replace("'jenengpanganggonengkene'", "'$uname'", $line);
				break;
			case "define('DB_PASSW":
				$configFile[$line_num] = str_replace("'tembungsandisampeyannengkene'", "'$passwrd'", $line);
				break;
			case "define('DB_HOST'":
				$configFile[$line_num] = str_replace("localhost", $dbhost, $line);
				break;
			case '$table_prefix  =':
				$configFile[$line_num] = str_replace('wp_', $prefix, $line);
				break;
		}
	}
	if ( ! is_writable(ABSPATH) ) :
		display_header();
?>
<p>Ngapunten, aku ora iso nulis berkas <code>wp-config.php</code> file.</p>
<p>ampeyan iso nggawe <code>wp-config.php</code> manual lan templekno teks iki.</p>
<textarea cols="90" rows="15"><?php
		foreach( $configFile as $line ) {
			echo htmlentities($line);
		}
?></textarea>
<p>Menawa wis rampung, klik "nglakokne instalasi".</p>
<p class="step"><a href="install.php" class="button">Nglakokne Instalasi</a></p>
<?php
	else :
		$handle = fopen(ABSPATH . 'wp-config.php', 'w');
		foreach( $configFile as $line ) {
			fwrite($handle, $line);
		}
		fclose($handle);
		chmod(ABSPATH . 'wp-config.php', 0666);
		display_header();
?>
<p>Joss! Sampeyan wis kasil nglewati babagan instalasi iki. Saiki WordPress wis iso sinambungan karo database Sampeyan. Menawa Sampeyan wis siap, saiki wayahe kanggo&hellip;</p>

<p class="step"><a href="install.php" class="button">Nglakokne Instalasi</a></p>
<?php
	endif;
	break;
}
?>
</body>
</html>
